Create object storage key
curl --request POST \
--url https://cloud.laravel.com/api/buckets/{filesystem}/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"access_key_id": "<string>",
"access_key_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"filesystem": {
"data": {
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"endpoint": "<string>",
"url": "<string>",
"allowed_origins": "<string>",
"cors_settings": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"keys": {
"data": [
{
"id": "<string>"
}
]
}
}
}
]
}Bucket Keys
Create object storage key
Create a new key for an object storage bucket.
POST
/
buckets
/
{filesystem}
/
keys
Create object storage key
curl --request POST \
--url https://cloud.laravel.com/api/buckets/{filesystem}/keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"data": {
"id": "<string>",
"attributes": {
"name": "<string>",
"access_key_id": "<string>",
"access_key_secret": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"filesystem": {
"data": {
"id": "<string>"
}
}
}
},
"included": [
{
"id": "<string>",
"attributes": {
"name": "<string>",
"endpoint": "<string>",
"url": "<string>",
"allowed_origins": "<string>",
"cors_settings": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"keys": {
"data": [
{
"id": "<string>"
}
]
}
}
}
]
}Authorizations
The Bearer Token generated on the Cloud UI.
Path Parameters
The filesystem identifier
Body
application/json
Was this page helpful?
⌘I

